# all files / ol/format/filter/ filter.js

100% Statements 5/5
100% Branches 0/0
100% Functions 2/2
100% Lines 5/5

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    301×

    1×

    28×

    1×
    28×

     goog.provide('ol.format.filter.Filter');

    /**
     * @classdesc
     * Abstract class; normally only used for creating subclasses and not instantiated in apps.
     * Base class for WFS GetFeature filters.
     *
     * @constructor
     * @param {!string} tagName The XML tag name for this filter.
     * @struct
     * @api
     */
    ol.format.filter.Filter = function(tagName) {

      /**
       * @private
       * @type {!string}
       */
      this.tagName_ = tagName;
    };

    /**
     * The XML tag name for a filter.
     * @returns {!string} Name.
     */
    ol.format.filter.Filter.prototype.getTagName = function() {
      return this.tagName_;
    };